package com.jtxt.demo.model;


import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDateTime;
import java.util.List;

@Document
public class LeaderBoard {
    @Id
    private String id;
    private String name;
    private List<String> users;
    private LocalDateTime createdTime;
    public enum LeaderBoardType {
        YuejinBang, // 跃进榜
        ZongBang,  // 总榜
        ShiGeBang // 失格榜
    }
    private LeaderBoardType type;
}
