package com.jtxt.demo.repository;

import com.jtxt.demo.model.CategoryToMaterial;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface CategoryToMaterialRepository extends MongoRepository<CategoryToMaterial, String> {
    List<CategoryToMaterial> findAllByCategoryId(String categoryId);
    List<CategoryToMaterial> findAllByMaterialId(String materialId);
    CategoryToMaterial findByCategoryIdAndMaterialId(String categoryId, String materialId);
}
