package com.jtxt.demo.repository;

import com.jtxt.demo.model.CategoryToMaterial;
import com.jtxt.demo.model.CategoryToQuestion;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface CategoryToQuestionRepository extends MongoRepository<CategoryToQuestion, String> {
    List<CategoryToQuestion> findAllByCategoryId(String categoryId);
    List<CategoryToQuestion> findAllByQuestionId(String questionId);
    CategoryToQuestion findByCategoryIdAndQuestionId(String categoryId, String questionId);
}
