package com.jtxt.demo.repository;

import com.jtxt.demo.model.Exam;
import com.jtxt.demo.model.ExamToQuestion;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface ExamToQuestionRepository extends MongoRepository<ExamToQuestion, String> {
    List<ExamToQuestion> findAllByExamId(String examId);
    List<ExamToQuestion> findAllByQuestionId(String questionId);
    ExamToQuestion findByExamIdAndQuestionId(String examId, String questionId);
}
