package com.jtxt.demo.repository;

import com.jtxt.demo.model.LeaderBoard;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.Optional;

public interface LeaderBoardRepository extends MongoRepository<LeaderBoard, String> {
    Optional<LeaderBoard> findByName(String name);
    Optional<LeaderBoard> findOneByTypeOrderByCreatedTimeDesc(LeaderBoard.LeaderBoardType type);

}
