package com.jtxt.demo.repository;

import com.jtxt.demo.model.LikeHistory;
import com.jtxt.demo.model.PointsHistory;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.time.LocalDateTime;
import java.util.List;

public interface PointsHistoryRepository extends MongoRepository<PointsHistory, String> {
    List<PointsHistory> findAllByUserId(String userId);
    List<PointsHistory> findAllByUserIdAndCreatedTimeBetween(String userId, LocalDateTime start, LocalDateTime end);
}
