package com.jtxt.demo.service;

import com.jtxt.demo.model.Group;

import java.util.List;

public interface GroupService {
    Group createGroup(Group group);
    Group editGroup(Group group);
    Group getGroupById(String id);
    boolean deleteGroup(Group group);
    List<Group> findGroupChainByGroupId(String groupId);
    List<Group> showAllSubGroups(String parentId);
    List<Group> findAllGroupsByUserName(String userName);
    Group findByName(String name);
}
