package com.jtxt.demo.service;

import com.jtxt.demo.model.LeaderBoard;
import com.jtxt.demo.repository.LeaderBoardRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Optional;

@Service
public class LeaderBoardServiceImpl implements LeaderBoardService {
    @Autowired
    LeaderBoardRepository leaderBoardRepository;
    @Override
    public LeaderBoard findByName(String name) {
        return leaderBoardRepository.findByName(name).orElse(null);
    }

    @Override
    public LeaderBoard getLatestLeaderBoardByType(LeaderBoard.LeaderBoardType type) {
        Optional<LeaderBoard> leaderBoard = leaderBoardRepository.findOneByTypeOrderByCreatedTimeDesc(type);
        if (leaderBoard.isEmpty()) {
            // 没有leaderboard, 需要现在创建一个
            LeaderBoard leaderBoard1 = createLeaderBoard(type);
            return leaderBoard1;
        } else {
            return leaderBoard.get();
        }
    }

    private LeaderBoard createLeaderBoard(LeaderBoard.LeaderBoardType type) {
//        switch(type) {
//            case YuejinBang:
//                break;
//            case ZongBang:
//                break;
//            case ShiGeBang:
//                break;
//        }
        return null;
    }
}
