package com.jtxt.demo.service;

import com.jtxt.demo.model.LearningMaterial;
import com.jtxt.demo.model.MaterialCategory;
import com.jtxt.demo.model.Question;
import com.jtxt.demo.model.QuestionCategory;

import java.util.List;

public interface QuestionCategoryService {
    List<Question> showQuestionsInCategory(String id);
    QuestionCategory getCategoryInfoByName(String name);
    QuestionCategory getCategoryInfoById(String id);
    List<QuestionCategory> findSubsByParentId(String id);
    List<QuestionCategory> getRootQuestionCategories();
    QuestionCategory createQuestionCategory(QuestionCategory questionCategory);
    boolean deleteCategory(QuestionCategory category);
    QuestionCategory updateQuestionCategory(QuestionCategory category);
    boolean addQuestionToCategory(Question question, QuestionCategory category);
    boolean removeQuestionFromCategory(Question question, QuestionCategory category);
}
