import pytest
import requests
import json

OK = 200
CREATED = 201
NOT_FOUND = 404
NOT_ACCEPTABLE = 406
CONFLICT = 409

WEBSITE_PREFIX = 'http://localhost:8080'

def add_comment(materialId, commentBody):
    url = WEBSITE_PREFIX + '/materials/' + materialId + '/comment'
    return requests.post(url, json=commentBody)