package com.jtxt.demo.config;

import com.jtxt.demo.model.LearningMaterial;
import com.jtxt.demo.model.Question;
import com.jtxt.demo.util.CacheStore;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.TimeUnit;

@Configuration
public class CacheBean {
    @Bean
    public CacheStore<LearningMaterial> popularLearningMaterialCache() {
        return new CacheStore<>(1, TimeUnit.HOURS);
    }

    @Bean
    public CacheStore<Question> questionCache() {
        return new CacheStore<>(1, TimeUnit.HOURS);
    }
}
