package com.jtxt.demo.repository;

import com.jtxt.demo.model.LearningMaterial;
import com.jtxt.demo.model.MaterialCategory;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface CategoryRepository extends MongoRepository<MaterialCategory, String> {
    List<MaterialCategory> findByParentId(String parentId);
    MaterialCategory findMaterialCategoryByName(String name);
}
