package com.jtxt.demo.repository;

import com.jtxt.demo.model.ExamHistory;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface ExamHistoryRepository extends MongoRepository<ExamHistory, String> {
    List<ExamHistory> findAllByUserId(String userId);
    List<ExamHistory> findAllByExamId(String examId);
    ExamHistory findByUserIdAndExamId(String userId, String examId);
}
