package com.jtxt.demo.repository;

import com.jtxt.demo.model.GroupToUser;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface GroupToUserRepository extends MongoRepository<GroupToUser, String> {
    List<GroupToUser> findAllByUserId(String userId);
    List<GroupToUser> findAllByGroupId(String groupId);
    GroupToUser findByGroupIdAndUserId(String groupId, String userId);
}
