package com.jtxt.demo.repository;

import com.jtxt.demo.model.LearningMaterial;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface LearningMaterialRepository extends MongoRepository<LearningMaterial, String> {
    LearningMaterial findByName(String name);
    List<LearningMaterial> findByNameLike(String name);
    List<LearningMaterial> findByNameStartingWith(String prefix);
}
