package com.jtxt.demo.repository;

import com.jtxt.demo.model.QuestionCategory;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface QuestionCategoryRepository extends MongoRepository<QuestionCategory, String> {
    List<QuestionCategory> findByParentId(String parentId);
    QuestionCategory findQuestionCategoryByName(String name);
}
