package com.jtxt.demo.service;

import com.jtxt.demo.model.MaterialCategory;
import com.jtxt.demo.model.LearningMaterial;

import java.util.List;

public interface CategoryService {
    List<LearningMaterial> showMaterialsInCategory(String id);
    MaterialCategory getCategoryInfoByName(String name);
    MaterialCategory getCategoryInfoById(String id);
    List<MaterialCategory> findSubsByParentId(String id);
    List<MaterialCategory> getRootMaterialCategories();
    MaterialCategory createMaterialCategory(MaterialCategory materialCategory);
    boolean deleteCategory(MaterialCategory category);
    MaterialCategory updateMaterialCategory(MaterialCategory category);
    boolean addMaterialToCategory(LearningMaterial material, MaterialCategory category);
    boolean removeMaterialFromCategory(LearningMaterial material, MaterialCategory category);
}
