package com.jtxt.demo.service;

import com.jtxt.demo.model.Question;
import com.jtxt.demo.model.QuestionCategory;

import java.util.List;

public interface QuestionService {
    Question createQuestion(Question question);
    Question editQuestion(Question updatedQuestion);
    boolean deleteQuestion(Question question);
    Question findQuestionById(String id);
    List<Question> showAllQuestions();
    List<Question> showAllQuestionsUnderCategory(QuestionCategory category);
}
